plugintester.hh File Reference
`#include <climits>`
`#include <boost/test/unit_test.hpp>`
`#include <boost/test/tools/floating_point_comparison.hpp>`
`#include <miaconfig.h>`
`#include <mia/core/factory.hh>`
`#include <mia/core/cmdlineparser.hh>`
`#include <mia/core/plugin_base.hh>`
`#include <mia/internal/main.hh>`
Include dependency graph for plugintester.hh:

Go to the source code of this file.

## Macros

#define | BOOST_TEST_DYN_LINK
#define | BOOST_TEST_MAIN
#define | BOOST_TEST_NO_MAIN

## Functions

template<typename Plugin>
Plugin::UniqueProduct | BOOST_TEST_create_from_plugin (const char *param)
int BOOST_TEST_CALL_DECL | do_main (int argc, char *argv[])
| MIA_MAIN (do_main)

## Variables

const mia::SProgramDescription | description

## Macro Definition Documentation

## BOOST_TEST_DYN_LINK

#define BOOST_TEST_DYN_LINK

Definition at line 28 of file plugintester.hh.

## BOOST_TEST_MAIN

#define BOOST_TEST_MAIN

Definition at line 31 of file plugintester.hh.

## BOOST_TEST_NO_MAIN

#define BOOST_TEST_NO_MAIN

Definition at line 32 of file plugintester.hh.

## Function Documentation

## BOOST_TEST_create_from_plugin()

template<typename Plugin>

Plugin::UniqueProduct BOOST_TEST_create_from_plugin | ( | const char * | param | ) |

Definition at line 45 of file plugintester.hh.

References CComplexOptionParser::begin(), and CComplexOptionParser::size().

## do_main()

int BOOST_TEST_CALL_DECL do_main | ( | int | argc,
|  | char * | argv[] )

Definition at line 68 of file plugintester.hh.

References description.

## MIA_MAIN()

MIA_MAIN | ( | do_main |  | ) |

References do_main().

## Variable Documentation

## description

const mia::SProgramDescription description

Initial value:
= {
{mia::pdi_group, "Test"},
{mia::pdi_short, "Unit test for a plug-in."},
{mia::pdi_description, "This program runs a set of tests."},
{mia::pdi_example_descr, "Example text"},
{mia::pdi_example_code, ""}
}

Definition at line 59 of file plugintester.hh.